*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body{
    background-color: #042444;
}

form{
    width: min(90%,25em);
    background-color: aliceblue;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 50%;
    padding: 5em 2em;
    border-radius: 0.5em;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
}

.error-message{
    color: #ff3434;
    visibility: hidden;
    transition: visibility 0.3s ease;
}

input,button{
    display: block;
    width: 100%;
    padding: 1em;
    outline: none;
    color: white;
    border: none;
    border-radius: 0.3em;
    transition: background-color 0.3s ease;
}

input{
    background-color: #e2e2e2;
    color: #ff3434;
    border: 1px solid darkblue;
}

button{
    background-color: #0080ff;
    margin-top: 2.5em;
    cursor: pointer;
}

.shake{
    animation: shake 0.5s ease-in-out;
}

.abc{
    margin: 10px;
}
@keyframes shake {
        0%{
            transform: translateX(0);
        }
        25%{
            transform: translateX(-5px);
        }
        50%{
            transform: translateX(5px);
        }
        75%{
            transform: translateX(-5px);
        }
        100%{
            transform: translateX(0);
        }
}